Download it now!
Bug 70979 - UI: "Conference Proceedings" is repeated three times in Bibliography Entries
Summary: UI: "Conference Proceedings" is repeated three times in Bibliography Entries
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: BSA target:5.3.0
Keywords: needsUXEval
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2013-10-29 01:25 UTC by Luiz Angelo Daros de Luca
Modified: 2016-10-12 12:17 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Angelo Daros de Luca 2013-10-29 01:25:29 UTC
Hello,

When I'm inserting a bibliography entry, I can select its time. It was types like articles, books, etc. However, "Conference Proceedings" is present three times. I have one after "Brochures", another after "Book excerpt with title" and the last one after "Dissertation". "There can be only one!".

As users are probabily using all of them at the same time (I have a user that does), I suggest that:

1. Rename the two extra "Conference Proceedings" to something like: 

"Conference Proceedings (B)"
"Conference Proceedings (C)"

2. whether (B) or (C) they are not in use, hide them. Avoid new docs to use it.
3. if only (B) or (C) is used, migrate it to default "Conference Proceedings" (but inform user)
4. If default "Conference Proceedings", (B) or (C) are used together, warn the user and inform him to migrate to default "Conference Proceedings".



Operating System: Ubuntu
Version: 4.1.2.3 release
Comment 1 Owen Genat (retired) 2013-11-01 04:29:17 UTC
This was recently bought up in this discussion thread:

http://en.libreofficeforum.org/node/6907

The three entries mean different things. Given the comments indicated in the code I think a better set of names would be:

- "Conference Proceedings article (BiBTeX)"
- "Conference Proceedings article"
- "Conference Proceedings"

The first two are the same (an article) while the last entry is used for references to the entire proceedings, rather than an individual article. This is not unlike citations and bibliography entries for edited volumes and the articles within them. I am confirming this report. Status set to NEW.
Comment 2 Luiz Angelo Daros de Luca 2015-04-02 03:00:17 UTC
Still in 4.4.2.2
Comment 3 tommy27 2016-04-16 07:28:26 UTC Comment hidden (obsolete)
Comment 4 Yousuf Philips (jay) (retired) 2016-04-24 15:49:39 UTC
As Owen has indicated in the form link, BibliographyDataType.idl[1] provides the following differences between the for the three identical "conference proceedings" strings :-

/** An article in the proceedings of a conference. This entry is identical to the "inproceedings" entry and is included for compatibility with BiBTex. 
 */
const short CONFERENCE      = 3;

/** An article in the proceedings of a conference.
 */
const short INPROCEEDINGS   = 6;

/** The proceedings of a conference.
 */
const short PROCEEDINGS     = 12;

@Cor, @Heiko, @Stuart, @Adolfo: Owen has suggested new strings in comment 1, so are there objections or alternative suggestions?

This can be easily fixed, as indicated in the forum link, by changing the strings in - http://opengrok.libreoffice.org/xref/core/extensions/source/bibliography/sections.src

[1] http://opengrok.libreoffice.org/xref/core/offapi/com/sun/star/text/BibliographyDataType.idl
Comment 5 Mihkel Tõnnov 2016-06-04 22:26:55 UTC
+1 for the strings to be changed as proposed in comment 1.
Also, this is inherited from OOo - setting version as such.
Comment 6 Yousuf Philips (jay) (retired) 2016-09-08 16:55:33 UTC
@Cor, @Heiko, @Stuart, @Adolfo: Owen has suggested new strings in comment 1, so are there objections or alternative suggestions?
Comment 7 Heiko Tietze 2016-09-10 07:47:15 UTC
(In reply to Yousuf Philips (jay) from comment #6)
> @Cor, @Heiko, @Stuart, @Adolfo: Owen has suggested new strings in comment 1,
> so are there objections or alternative suggestions?

Thanks for pinging again ;-)

We should define to have unique labels as a guideline. So definitely yes to rename. As for the text I found 

Conference Proceeding
Conference Paper
Conference Inproceeding (this term is kept for German translations)

used at BibTex (including the Wikipedia article) and APA sites (search terms I didn't try could be Endnote and Refmanager as commercial programs).

And with the +1 I remove the needsUX keyword so this ticket can go into the production.
Comment 8 Heiko Tietze 2016-09-10 07:47:51 UTC Comment hidden (duplicate, obsolete)
Comment 9 Yousuf Philips (jay) (retired) 2016-09-10 20:03:59 UTC
Patch is in based on owen's suggestion.

https://gerrit.libreoffice.org/28813
Comment 10 Commit Notification 2016-10-12 12:17:46 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ceadf4504d572ef9c75b452965c058678b9c7ce

tdf#70979 make conference proceedings strings unique

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.